//
// Created by Ht on 2021/6/12.
//

#ifndef INC_0_LIBDEVCPP_QTIMEUTIL_H
#define INC_0_LIBDEVCPP_QTIMEUTIL_H

#include <jebase/config.h>
#include <ctime>

class JE_API  QTimeUtil {

    static unsigned int getNextMorningTime() {
        time_t time_seconds = time(NULL);
        struct tm tm;
        localtime_r(&time_seconds, &tm);
        tm.tm_yday = tm.tm_yday+1;
        tm.tm_hour = 0;
        tm.tm_min = 0;
        tm.tm_sec = 0;
        return  mktime(&tm);
    }
};
#endif //INC_0_LIBDEVCPP_QTIMEUTIL_H
